#!/bin/bash

#
# helpJobsToHostsAssignment.sh
#
#   visualizza l'avvenuta assegnazione di un job a un host
#

# 
# Parametri
#
# <verbose>
#   i valori ammessi per il parametro sono 0 o 1.
#   Se 1 attiva la modalita' verbose di esecuzione dello script
# <callingScript>
#   nome dello script chiamante 
# <job>
#   identificativo del job oggetto dell'assegnazione
# <host>
#   identificativo dell'host assegnatario del job
# <verbOutputFileRelativePath>
#   path relativo alla directory g4cParallelSimulation del file
#   di output per la modalita' verbose
#

# Estrae i parametri dello script dalla sua chiamata
verbose=$1
callingScript=$2
job=$3
host=$4
verbOutputFileRelativePath=$5

# Esce se la modalita' verbose non e' stata attivata
if test $verbose -eq 0
then
   exit 0
fi

# Help
#   comunica l'avvenuta assegnazione di un job a un host
echo -n "Job $job assigned to host $host - Job number: "

exit 0

